import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
evaluation = client.evaluations.update(
evaluation_id="evaluation_id",
)
print(evaluation.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
evaluation, err := client.Evaluations.Update(
context.TODO(),
"evaluation_id",
sgp.EvaluationUpdateParams{
Body: sgp.EvaluationUpdateParamsBodyPartialPatchEvaluationRequest{
Restore: sgp.F(sgp.EvaluationUpdateParamsBodyPartialPatchEvaluationRequestRestoreFalse),
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", evaluation.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/evaluations/{evaluation_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"tags": {},
"evaluation_config": {},
"evaluation_config_id": "<string>",
"question_id_to_annotation_config": {},
"annotation_config": {
"components": [
[
{
"data_loc": [
"<string>"
],
"optional": false,
"label": "<string>"
}
]
],
"direction": "row"
},
"evaluation_type": "llm_benchmark",
"restore": false
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
application_spec_id: '<string>',
application_variant_id: '<string>',
tags: {},
evaluation_config: {},
evaluation_config_id: '<string>',
question_id_to_annotation_config: {},
annotation_config: {
components: [[{data_loc: ['<string>'], optional: false, label: '<string>'}]],
direction: 'row'
},
evaluation_type: 'llm_benchmark',
restore: false
})
};
fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"status": "PENDING",
"application_spec_id": "<string>",
"total_test_case_result_count": 123,
"completed_test_case_result_count": 123,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"application_variant_id": "<string>",
"tags": {},
"evaluation_config": {},
"evaluation_config_id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"annotation_config": {
"annotation_config_type": "flexible",
"components": [
[
{
"data_loc": [
"<string>"
],
"optional": false,
"label": "<string>"
}
]
],
"direction": "row",
"llm_prompt": {
"variables": [
{
"name": "<string>",
"data_loc": [
"<string>"
],
"optional": false
}
],
"template": "<string>"
}
},
"question_id_to_annotation_config": {},
"metric_config": {
"components": [
{
"type": "rouge",
"name": "<string>",
"mappings": {},
"params": {}
}
]
},
"archived_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Evaluation
Description
Updates a evaluation
Details
This API can be used to update the evaluation that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Evaluation API call as a path parameter.
Review the request schema to see the fields that can be updated.
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
evaluation = client.evaluations.update(
evaluation_id="evaluation_id",
)
print(evaluation.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
evaluation, err := client.Evaluations.Update(
context.TODO(),
"evaluation_id",
sgp.EvaluationUpdateParams{
Body: sgp.EvaluationUpdateParamsBodyPartialPatchEvaluationRequest{
Restore: sgp.F(sgp.EvaluationUpdateParamsBodyPartialPatchEvaluationRequestRestoreFalse),
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", evaluation.ID)
}
Authorizations
Path Parameters
Body
- PartialPatchEvaluationRequest
- RestoreRequest
The ID of the associated evaluation config.
Specifies the annotation configuration to use for specific questions.
Show child attributes
Show child attributes
Annotation configuration for tasking
- AnnotationConfigRequestBase
- AnnotationConfigGenerationRequest
- AnnotationConfigMultiturnUseCaseRequest
- AnnotationConfigSummarizationUseCaseRequest
- AnnotationConfigTranslationUseCaseRequest
Show child attributes
Show child attributes
If llm_benchmark is provided, the evaluation will be updated to a hybrid evaluation. No-op on existing hybrid evaluations, and not available for studio evaluations.
"llm_benchmark"Set to true to restore the entity from the database.
Response
Successful Response
PENDING, COMPLETED, FAILED The total number of test case results for the evaluation
The number of test case results that have been completed for the evaluation
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account The ID of the associated evaluation config.
The date and time that all test case results for the evaluation were completed for the evaluation in ISO format.
Annotation configuration for tasking
Show child attributes
Show child attributes
Specifies the annotation configuration to use for specific questions.
Show child attributes
Show child attributes
Specifies the config for the metrics to be computed.
Show child attributes
Show child attributes
The date and time when the entity was archived in ISO format.

